java.beans.beancontext

## Class BeanContextServicesSupport.BCSSServiceProvider

- java.lang.Object
- - java.beans.beancontext.BeanContextServicesSupport.BCSSServiceProvider

All Implemented Interfaces:
  Serializable

Enclosing class:
  BeanContextServicesSupport

    protected static class BeanContextServicesSupport.BCSSServiceProvider
    extends Object
    implements Serializable

subclasses may subclass this nested class to add behaviors for each BeanContextServicesProvider.

See Also:
  Serialized Form

### Field Summary

Fields
`protected BeanContextServiceProvider` `serviceProvider`

### Method Summary

Methods
`protected BeanContextServiceProvider` `getServiceProvider()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serviceProvider

    protected BeanContextServiceProvider serviceProvider

### Method Detail

#### getServiceProvider

    protected BeanContextServiceProvider getServiceProvider()

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.